Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class RepeatPattern.Weekends

    java.lang.Object
      portlets.compoze.groupware.RepeatPattern.Weekends

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RepeatPattern

public static class RepeatPattern.Weekends
extends java.lang.Object
implements java.io.Serializable

This class represents the weekends.

See Also:
  Serialized Form

Field Summary
`static RepeatPattern.Weekends` | `DELETE` This value represents 'delete' repeat weekends.
`static RepeatPattern.Weekends` | `DONT_MOVE` This value represents 'don't move' repeat weekends.
`static RepeatPattern.Weekends` | `MOVE_TO_FRIDAY` This value represents 'move to Friday' repeat weekends.
`static RepeatPattern.Weekends` | `MOVE_TO_MONDAY` This value represents 'move to Monday' repeat weekends.
`static RepeatPattern.Weekends` | `MOVE_TO_NEAREST_WEEKDAY` This value represents 'move to nearest weekday' repeat weekends.
`static int` | `VALUE_DELETE` This value represents the 'delete' weekends rule.
`static int` | `VALUE_DONT_MOVE` This value represents the 'don't move' weekends rule.
`static int` | `VALUE_MOVE_TO_FRIDAY` This value represents the 'move to Friday' weekends rule.
`static int` | `VALUE_MOVE_TO_MONDAY` This value represents the 'move to Monday' weekends rule.
`static int` | `VALUE_MOVE_TO_NEAREST_WEEKDAY` This value represents the 'move to nearest weekday' weekends rule.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static RepeatPattern.Weekends` | `get(int iValue)` Gets the weekends by its value.
`java.lang.String` | `getKey()` Gets the i18n resource key name.
`int` | `getValue()` Gets the value of the weekends.
`static java.util.List` | `getWeekends()` Gets the list of Weekends.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_DONT_MOVE

    public static final int VALUE_DONT_MOVE

  This value represents the 'don't move' weekends rule.

  See Also:
    Constant Field Values

### VALUE_MOVE_TO_FRIDAY

    public static final int VALUE_MOVE_TO_FRIDAY

  This value represents the 'move to Friday' weekends rule.

  See Also:
    Constant Field Values

### VALUE_MOVE_TO_MONDAY

    public static final int VALUE_MOVE_TO_MONDAY

  This value represents the 'move to Monday' weekends rule.

  See Also:
    Constant Field Values

### VALUE_MOVE_TO_NEAREST_WEEKDAY

    public static final int VALUE_MOVE_TO_NEAREST_WEEKDAY

  This value represents the 'move to nearest weekday' weekends rule.

  See Also:
    Constant Field Values

### VALUE_DELETE

    public static final int VALUE_DELETE

  This value represents the 'delete' weekends rule.

  See Also:
    Constant Field Values

### DONT_MOVE

    public static final RepeatPattern.Weekends DONT_MOVE

  This value represents 'don't move' repeat weekends.

### MOVE_TO_FRIDAY

    public static final RepeatPattern.Weekends MOVE_TO_FRIDAY

  This value represents 'move to Friday' repeat weekends.

### MOVE_TO_MONDAY

    public static final RepeatPattern.Weekends MOVE_TO_MONDAY

  This value represents 'move to Monday' repeat weekends.

### MOVE_TO_NEAREST_WEEKDAY

    public static final RepeatPattern.Weekends MOVE_TO_NEAREST_WEEKDAY

  This value represents 'move to nearest weekday' repeat weekends.

### DELETE

    public static final RepeatPattern.Weekends DELETE

  This value represents 'delete' repeat weekends.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the i18n resource key name.

  Returns:
    the name

### getValue

    public int getValue()

  Gets the value of the weekends.

  Returns:
    the value

### get

    public static RepeatPattern.Weekends get(int iValue)

  Gets the weekends by its value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching weekends or `null` if not found

### getWeekends

    public static java.util.List getWeekends()

  Gets the list of Weekends.

  Returns:
    the list of `Weekends` (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.